using System;

class Program
{
	static public void Main()
	{
		int[,] months = new int[12, 30];
		Random r = new Random();
		
		for(int i = 0;i < 12;++i)
		{
			for(int j = 0;j < 30;++j)
			{
				months[i, j] = r.Next(-15, 33);
			}
		}
		
		int maxIdxI = 0; int maxIdxJ = 0;
		int minIdxI = 0; int minIdxJ = 0;
		
		for(int i = 0;i < 12;++i)
		{
			for(int j = 0;j < 30;++j)
			{
				if(months[i, j] > months[maxIdxI, maxIdxJ]) { maxIdxI = i; maxIdxJ = j; }
				
				if(months[i, j] < months[minIdxI, minIdxJ]) { minIdxI = i; minIdxJ = j; }
			}
		}
		
		Console.WriteLine("A legmelegebb nap: {0}. {1}. {2} C", 
			maxIdxI + 1, maxIdxJ + 1, months[maxIdxI, maxIdxJ]);
			
		Console.WriteLine("A leghidegebb nap: {0}. {1}. {2} C", 
			minIdxI + 1, minIdxJ + 1, months[minIdxI, minIdxJ]);
	}
}