using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

class Program
{
	static public void Main()
	{
		var result = (from customer in DataClass.GetCustomerList()
						select customer)
						.ToLookup((customer) => customer.Address.State + " megye");
						
		foreach(var item in result)
		{
			Console.WriteLine(item.Key);
			
			foreach(var customer in item)
			{
				Console.WriteLine("-- {0} {1}", 
					customer.FirstName, customer.LastName);
			}
		}
	}
}