using System;
using System.Linq;
using System.Collections.Generic;

class Program
{
	static public void Main()
	{
		List<int> list = new List<int>()
		{
			0, 1, 2, 3, 4, 5, 6, 7, 8, 9
		};

		var result1 = from x in list select x;
		var result2 = from x in list.AsParallel().AsOrdered() select x;
		var result3 = from x in list.AsParallel() orderby x select x;
		
		foreach(var item in result1)
		{
			Console.Write("{0}, ", item);
		}
		
		Console.WriteLine();
		
		foreach(var item in result2)
		{
			Console.Write("{0}, ", item);
		}
	}
}