using System;
using System.Net;
using System.Net.Sockets;
using System.Text;

class Program
{
	static public void Main(string[] args)
	{
		TcpClient client = null;
		NetworkStream stream = null;
	
		try
		{
			client = new TcpClient(args[0], int.Parse(args[1]));
			
			byte[] data = Encoding.ASCII.GetBytes("Hello szerver!");
			stream = client.GetStream();
			
			stream.Write(data, 0, data.Length);
		
			bool l = false;
			while(!l)
			{
				if(stream.DataAvailable)
				{
					data = new byte[256];
					int length = stream.Read(data, 0, data.Length);
				
					Console.WriteLine("A szerver zenete: {0}",
						Encoding.ASCII.GetString(data, 0, length));
					
					l = true;
				}
				else
				{
					Console.WriteLine("A szerver mg nem kldtt vlaszt!");
					System.Threading.Thread.Sleep(200);
				}
			}
		}
		catch(Exception e)
		{
			Console.WriteLine(e.Message);
		}
		finally
		{
			stream.Close();
			client.Close();
		}
	}
}