using System;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.IO;

class Program
{
	static public void Main(string[] args)
	{
		Socket server = null;
		Socket client = null;
		
		try
		{
			server = new Socket(
				AddressFamily.InterNetwork, 
				SocketType.Stream, 
				ProtocolType.Tcp);
		
			IPEndPoint endPoint = new IPEndPoint(IPAddress.Parse(args[0]), int.Parse(args[1]));
		
			server.Bind(endPoint);
			server.Listen(2);

			while(true)
			{
				if(server.Poll(0, SelectMode.SelectRead))
				{
					client = server.Accept();
					
					/* itt pedig kommuniklunk a klienssel */
				}
				else
				{
					Console.WriteLine("A szerver bejv kapcsolatra vr!");
					System.Threading.Thread.Sleep(500);
				}
			}
		
			byte[] data = new byte[256];
			int length = client.Receive(data);
			
			Console.WriteLine("A kliens zenete: {0}", 
				Encoding.ASCII.GetString(data, 0, length));
			
			data = new byte[256];
			data = Encoding.ASCII.GetBytes("Hello kliens!");
		
			System.Threading.Thread.Sleep(100);
		
			client.Send(data, data.Length, SocketFlags.None);
		}
		catch(Exception e)
		{
			Console.WriteLine(e.Message);
		}
		finally
		{
			client.Close();
			server.Close();
		}
	}
}