using System;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.IO;

class Program
{
	static public void Main(string[] args)
	{	
		Socket client = null;
		
		try
		{
			client = new Socket(
				AddressFamily.InterNetwork, 
				SocketType.Stream, 
				ProtocolType.Tcp);
		
			IPEndPoint endPoint = new IPEndPoint(
				IPAddress.Parse(args[0]), 
				int.Parse(args[1]));
			
			client.Connect(endPoint);
		
			byte[] data = Encoding.ASCII.GetBytes(args[2]);
			client.Send(data, data.Length, SocketFlags.None);
			
			Random r = new Random();
			int number = r.Next(1000);
			int result = -1;
			int min = 0;
			int max = 1000;
			
			int i = 0;
			while(i < 5 && result != 0 && result != 2)
			{
				data = Encoding.ASCII.GetBytes(number.ToString());
				client.Send(data, data.Length, SocketFlags.None);
			
				data = new byte[4];
				int length = client.Receive(data);
			
				result = int.Parse(Encoding.ASCII.GetString(data, 0, length));
				
				switch(result)
				{
					case 2:
						Console.WriteLine("Vesztettl, valaki mr kitallta a szmot!");
						break;
					case 1:
						max = number;
						number = r.Next(min, max);
						break;
					case 0:
						Console.WriteLine("Nyertl!");
						break;
					case -1:
						min = number;
						number = r.Next(min, max);
						break;
				}
				
				++i;
			}
			
			if(result != 0 && result != 2)
			{
				Console.WriteLine("Vesztettl!");
			}
		}
		catch(Exception e)
		{
			Console.WriteLine(e.Message);
		}
		finally
		{
			client.Close();
		}
	}
}